%define prg  rtspproxy
%define uid  rtsp

Summary:     A caching RTSP Proxy
Name:        %{prg}
Version:     2.4.1
Release:     3.rh73.pp
License:     See LICENSE
Group:       System Environment/Daemons
Source0:     http://merlimat.net/wp-content/%{name}-%{version}.tar.gz
Source1:     %{name}.init
Source2:     %{name}.logrotate
Source3:     %{name}.sysconfig
Patch0:      %{name}-config.patch
Patch1:      %{name}-parsefreq.patch
Patch2:      %{name}-cachelive.patch
URL:         http://%{name}.berlios.de/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Matteo Merli <matteo.merli@gmail.com>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Provides:    %{name}.pp
Requires:    libstdc++
Prereq:      fileutils glibc make shadow-utils
BuildPrereq: fileutils glibc-devel gcc-c++ make
#BuildPrereq: bison flex
Obsoletes:   osrtspproxy
ExclusiveOS: linux


%description
RTSP Proxy is a modified version of the free RTSP Proxy Kit v2.0
provided by RealNetworks. It has been extended to work with major
RTSP streaming servers and video players, and includes a caching
system that saves multimedia streams traversing the proxy and play
them back on subsequent requests.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
unset CFLAGS CXXFLAGS || :
./configure \
	--prefix=%{_prefix}               \
	--sysconfdir=%{_sysconfdir}       \
	--localstatedir=%{_localstatedir} \
	--mandir=%{_mandir}
#pushd config
#bison -d -y -o syntax.c syntax.y
#flex -olexer.c lexer.l
#popd
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_initrddir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/{logrotate.d,sysconfig}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_localstatedir}/{cache,%{_lib},log}/%{name}
install -m 0755 %{name}/%{name} ${RPM_BUILD_ROOT}%{_sbindir}
install -m 0640 %{name}.conf ${RPM_BUILD_ROOT}%{_sysconfdir}
install -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
install -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}
install -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}


%pre
if ! id -g %{uid} > /dev/null 2>&1; then
  groupadd -r %{uid}
fi
if ! id -u %{uid} > /dev/null 2>&1; then
  useradd -g %{uid} -G %{uid} \
	-d %{_localstatedir}/%{_lib}/%{name} \
	-r -s /sbin/nologin %{uid}
fi


%post
if [ $1 = 1 ]; then
  chkconfig --add %{name}
  chkconfig %{name} on
fi
if [ -f %{_localstatedir}/lock/subsys/%{name} ]; then
  %{_initrddir}/%{name} restart
fi


%preun
if [ $1 = 0 ]; then
  chkconfig %{name} off
  chkconfig --del %{name}
  if [ -f %{_localstatedir}/lock/subsys/%{name} ]; then
    %{_initrddir}/%{name} stop
  fi
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog Doxyfile INSTALL
%doc LICENSE README
%{_initrddir}/*
%attr(640,root,%{uid}) %config(noreplace) %{_sysconfdir}/*.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%{_sbindir}/*
%attr(750,%{uid},%{uid}) %dir %{_localstatedir}/cache/%{name}
%attr(750,%{uid},%{uid}) %dir %{_localstatedir}/%{_lib}/%{name}
%attr(750,%{uid},%{uid}) %dir %{_localstatedir}/log/%{name}


%changelog
* Thu Mar 23 2006 peter.pramberger@member.fsf.org
- updated LiveStream Caching patch

* Sun Mar 05 2006 peter.pramberger@member.fsf.org
- created

